// creator  : weidu.exe (version 23100)
// argument : BAERIE25.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BAERIE25~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #10 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Jan")
See("Jan")
!StateCheck("Jan",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie1","LOCALS",0)~ THEN BEGIN 0 // from:
  SAY #68019 /* ~You seem to be limping, Jan. Have you been hurt recently?~ [AERI2511] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie1","LOCALS",1)~ EXTERN ~BJAN25~ 4
END

IF ~~ THEN BEGIN 1 // from: BJAN25:6.0
  SAY #68030 /* ~What does that have to do with your wooden leg?~ */
  IF ~~ THEN EXTERN ~BJAN25~ 7
END

IF ~~ THEN BEGIN 2 // from: BJAN25:7.0
  SAY #68032 /* ~Grrr! You're IMPOSSIBLE!~ */
  IF ~~ THEN EXTERN ~BJAN25~ 8
END

IF WEIGHT #11 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Cernd")
See("Cernd")
!StateCheck("Cernd",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie2","LOCALS",0)~ THEN BEGIN 3 // from:
  SAY #68108 /* ~Cernd?  Don't you miss your old grove?  You don't speak of it at all.~ [AERI2512] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie2","LOCALS",1)~ EXTERN ~BCERND25~ 7
END

IF ~~ THEN BEGIN 4 // from: BCERND25:7.0
  SAY #68117 /* ~You can't have liked your old grove very much, then.  I can't imagine anyone missing a rash at all.~ */
  IF ~~ THEN EXTERN ~BCERND25~ 8
END

IF ~~ THEN BEGIN 5 // from: BCERND25:8.0
  SAY #68119 /* ~(sigh)  I was just wondering if you missed your old grove, Cernd.  Must all your answers be so cryptic?  I'm almost too tired to wonder what you mean, sometimes.~ */
  IF ~~ THEN EXTERN ~BCERND25~ 9
END

IF ~~ THEN BEGIN 6 // from: BCERND25:11.0
  SAY #68123 /* ~Like your rash.  Interesting, but you're glad it's gone?~ */
  IF ~~ THEN EXTERN ~BCERND25~ 12
END

IF WEIGHT #12 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Minsc")
See("Minsc")
!StateCheck("Minsc",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie3","LOCALS",0)~ THEN BEGIN 7 // from:
  SAY #68128 /* ~Minsc, why don't you tell me a little about Rashemen?  You've talked about it before, but never described it... and I've never heard anyone else mention it at all.~ [AERI2513] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie3","LOCALS",1)~ EXTERN ~BMINSC25~ 12
END

IF ~~ THEN BEGIN 8 // from: BMINSC25:13.0
  SAY #68140 /* ~Yes... so Rasheman is very far away.  But what sort of place is it?  Did you like it?~ */
  IF ~~ THEN EXTERN ~BMINSC25~ 14
END

IF ~~ THEN BEGIN 9 // from: BMINSC25:14.0
  SAY #68144 /* ~But what of the witches?  You said Dynaheir was a witch, right?~ */
  IF ~~ THEN EXTERN ~BMINSC25~ 15
END

IF ~~ THEN BEGIN 10 // from: BMINSC25:15.0
  SAY #68147 /* ~(giggle!)  Oh, never mind, you big galoot.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #13 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Edwin")
See("Edwin")
!StateCheck("Edwin",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie4","LOCALS",0)~ THEN BEGIN 11 // from:
  SAY #68150 /* ~I... I come to see why you are so arrogant, Edwin. Magical power can become... intoxicating. Even I can admit to feeling its rush when I am casting spells in combat.~ [AERI2514] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie4","LOCALS",1)~ EXTERN ~BEDWIN25~ 0
END

IF ~~ THEN BEGIN 12 // from: BEDWIN25:0.0
  SAY #68154 /* ~Do you think so? Isn't that a foolish attitude? Even you must agree that the strength of your friends can only be a benefit.~ */
  IF ~~ THEN EXTERN ~BEDWIN25~ 1
END

IF ~~ THEN BEGIN 13 // from: BEDWIN25:1.0
  SAY #68157 /* ~Your dismissals make no sense! Have I not become a peer? Have I not proven my worth?~ */
  IF ~~ THEN EXTERN ~BEDWIN25~ 2
END

IF ~~ THEN BEGIN 14 // from: BEDWIN25:2.0
  SAY #68165 /* ~You are just... oh!~ */
  IF ~~ THEN EXTERN ~BEDWIN25~ 3
END

IF ~~ THEN BEGIN 15 // from: BMINSC25:17.0
  SAY #68167 /* ~If 'Boo' wishes to ask me a question, Minsc, then he should feel free to do so.~ [AERI2526] */
  IF ~~ THEN EXTERN ~BMINSC25~ 18
END

IF ~~ THEN BEGIN 16 // from: BMINSC25:18.0
  SAY #68169 /* ~I... see.  Perhaps Boo should ask me anyway to get it off his chest.  We... wouldn't want a hamster to bottle up all that anxiety, now, would we?~ */
  IF ~~ THEN EXTERN ~BMINSC25~ 19
END

IF ~~ THEN BEGIN 17 // from: BMINSC25:19.0
  SAY #68173 /* ~My duties?  I thought you were supposed to protect me... I didn't know there were any duties involved.  And what's so personal about this?~ */
  IF ~~ THEN EXTERN ~BMINSC25~ 20
END

IF ~~ THEN BEGIN 18 // from: BMINSC25:21.0
  SAY #68177 /* ~I... I... ah, I'll do what I can, Minsc.~ */
  IF ~~ THEN EXTERN ~BMINSC25~ 22
END

IF WEIGHT #14 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Nalia")
See("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie5","LOCALS",0)~ THEN BEGIN 19 // from:
  SAY #68189 /* ~Nalia, I've noticed that you've been very quiet as of late.  Grim, even.  Is... something wrong?~ [AERI2515] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie5","LOCALS",1)~ EXTERN ~BNALIA25~ 0
END

IF ~~ THEN BEGIN 20 // from: BNALIA25:0.0
  SAY #68191 /* ~Well, no... it's just that you used to be friendlier.~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 1
END

IF ~~ THEN BEGIN 21 // from: BNALIA25:1.0
  SAY #68193 /* ~That doesn't mean you have to change, Nalia.  You're still the same person, inside, aren't you?~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 2
END

IF ~~ THEN BEGIN 22 // from: BNALIA25:2.0
  SAY #68195 /* ~There's no need to talk down to me like that.  I know what you mean... you just used to care more.~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 3
END

IF WEIGHT #15 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("HaerDalis")
See("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie6","LOCALS",0)~ THEN BEGIN 23 // from:
  SAY #68198 /* ~Haer'Dalis... you've been staring at our leader with that look off and on for several hours, now.  Don't you think that's a little rude?~ [AERI2516] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie6","LOCALS",1)~ EXTERN ~BHAERD25~ 0
END

IF ~~ THEN BEGIN 24 // from: BHAERD25:0.0
  SAY #68202 /* ~I know what you mean.  It's a little unnerving, isn't it?  I wonder how <CHARNAME> can stand it?~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 1
END

IF ~~ THEN BEGIN 25 // from: BHAERD25:1.0
  SAY #68204 /* ~You do?~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 2
END

IF ~~ THEN BEGIN 26 // from: BHAERD25:2.0
  SAY #68206 /* ~Sometimes I think you are a very strange man, my bard.~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 3
END

IF WEIGHT #16 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("HaerDalis")
See("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie7","LOCALS",0)~ THEN BEGIN 27 // from:
  SAY #68209 /* ~So... tell me a little about Sigil, my bard.  Do you think we might travel there someday?~ [AERI2517] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie7","LOCALS",1)~ EXTERN ~BHAERD25~ 4
END

IF ~~ THEN BEGIN 28 // from: BHAERD25:4.0
  SAY #68211 /* ~Oh, I'm sure I could use my magic to open up a gateway, if we really needed to go.  It wouldn't be such a complicated thing.~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 5
END

IF ~~ THEN BEGIN 29 // from: BHAERD25:5.0
  SAY #68215 /* ~I am no novice with the magical arts, Haer'Dalis, and I would appreciate you not speaking to me as if I were.  The planes are not so terrible and dangerous to those of our power.~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 6
END

IF ~~ THEN BEGIN 30 // from: BHAERD25:6.0
  SAY #68218 /* ~Fine, fine.  Forget I said anything.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 31 // from: BVALYG25:10.0
  SAY #68240 /* ~Ha ha!  If I didn't know you better, Valygar, I think I'd have to take that the wrong way! Heh...~ [AERI2529] */
  IF ~~ THEN EXTERN ~BVALYG25~ 11
END

IF ~~ THEN BEGIN 32 // from: BVALYG25:11.0
  SAY #68244 /* ~Oh, I don't know, Valygar.  This doesn't mean that I'll never be corrupted by my magic... just not yet.~ */
  IF ~~ THEN EXTERN ~BVALYG25~ 12
END

IF ~~ THEN BEGIN 33 // from: BVALYG25:12.0
  SAY #68246 /* ~I... didn't mean to joke about that.  I know about your past... and I don't think I could ever be like that.  Magic is a power I can use to help people, and that's all.~ */
  IF ~~ THEN EXTERN ~BVALYG25~ 13
END

IF WEIGHT #17 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Mazzy")
See("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie6","LOCALS",0)~ THEN BEGIN 34 // from:
  SAY #68249 /* ~Mazzy?  Do you think you'll ever be a true paladin for Arvoreen?~ [AERI2518] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie6","LOCALS",1)~ EXTERN ~BMAZZY25~ 6
END

IF ~~ THEN BEGIN 35 // from: BMAZZY25:6.0
  SAY #68253 /* ~Yes, but I was told that there was a time that halflings were rogues only... that you would never find one that was a cleric or even a warrior such as yourself anywhere.~ */
  IF ~~ THEN EXTERN ~BMAZZY25~ 7
END

IF ~~ THEN BEGIN 36 // from: BMAZZY25:7.0
  SAY #68256 /* ~But maybe things could change again?  Maybe your people could become paladins and rangers and even mages one day, without limitation.  Wouldn't that be exciting?~ */
  IF ~~ THEN EXTERN ~BMAZZY25~ 8
END

IF ~~ THEN BEGIN 37 // from: BMAZZY25:8.0
  SAY #68260 /* ~Well, it was just a thought.~ */
  IF ~~ THEN EXTERN ~BMAZZY25~ 9
END

IF ~~ THEN BEGIN 38 // from: BMAZZY25:9.0
  SAY #68264 /* ~Oh, you never know.  The gods do strange things, sometimes.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 39 // from: BANOME25:19.0
  SAY #68280 /* ~I think it is a terrible thing, Anomen.  But what can I do about it?~ [AERI2522] */
  IF ~~ THEN EXTERN ~BANOME25~ 20
END

IF ~~ THEN BEGIN 40 // from: BANOME25:20.0
  SAY #68283 /* ~My people are disappearing because they are isolationists as well, Anomen, not just because they are hunted.  And they are certainly not helpless... my aid would be meaningless.~ */
  IF ~~ THEN GOTO 41
END

IF ~~ THEN BEGIN 41 // from: 40.0
  SAY #68285 /* ~And I doubt they would even accept my help.  They... would not think of me as an avariel, anymore, because I have no wings.  It is... it is probably just best for me to avoid them altogether.~ */
  IF ~Alignment("Anomen",MASK_GOOD)~ THEN EXTERN ~BANOME25~ 21
  IF ~!Alignment("Anomen",MASK_GOOD)~ THEN EXTERN ~BANOME25~ 23
END

IF ~~ THEN BEGIN 42 // from: BANOME25:21.0
  SAY #68294 /* ~No... no, it's alright, Anomen.  I probably should face up to the fact that I will have to return to Faenya-Dale one day.  To face them, if nothing else.  But certainly not now.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 43 // from: BANOME25:23.0
  SAY #68298 /* ~That is cruel of you, Anomen.  If I return to Faenya-Dale one day, it will be because I am ready to... not because someone felt it necessary to bully me into it.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #18 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Imoen2")
See("Imoen2")
!StateCheck("Imoen2",STATE_SLEEPING)
CombatCounter(0)
Global("ExpBaerie9","LOCALS",0)~ THEN BEGIN 44 // from:
  SAY #68306 /* ~I have a question for you, Imoen... you have the taint of Bhaal within you?  Does this mean that you will turn into the Slayer as well?~ [AERI2519] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie9","LOCALS",1)~ EXTERN ~BIMOEN25~ 0
END

IF ~~ THEN BEGIN 45 // from: BIMOEN25:0.0
  SAY #68314 /* ~It must be an awful feeling.  I can't imagine how <CHARNAME> deals with it.~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 1
END

IF ~~ THEN BEGIN 46 // from: BIMOEN25:1.0
  SAY #68319 /* ~(gasp!)  You... you haven't done anything that it's said, have you?~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 2
END

IF ~~ THEN BEGIN 47 // from: BIMOEN25:2.0
  SAY #68323 /* ~Oh, goo-... what?  Cinnamon cookies?~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 3
END

IF ~~ THEN BEGIN 48 // from: BIMOEN25:3.0
  SAY #68325 /* ~That's not very funny, Imoen.  <CHARNAME> never makes fun of <PRO_HISHER> condition in that way.~ */
  IF ~~ THEN REPLY #68327 /* ~Well, it's been so much easier since I discovered all the Slayer really wants is a sandwich...~ */ GOTO 49
  IF ~~ THEN REPLY #68328 /* ~Aerie's right, Imoen.  It's a very serious subject.~ */ EXTERN ~BIMOEN25~ 4
END

IF ~~ THEN BEGIN 49 // from: 48.0
  SAY #68330 /* ~Oh, fine.  Everyone seems determined to make fun of me.  I'll stand back here, thank you.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #19 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~See(Player1)
!StateCheck(Player1,STATE_SLEEPING)
!Global("AerieRomanceActive","GLOBAL",2)
Global("ExpBaerie10","LOCALS",0)~ THEN BEGIN 50 // from:
  SAY #68362 /* ~I've... I've been watching you a little since you got your soul back from Irenicus.  There's something different in you.  I can feel it.~ [AERI2520] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie10","LOCALS",1)~ GOTO 51
END

IF ~~ THEN BEGIN 51 // from: 50.0
  SAY #68364 /* ~There's something evil growing within you.  The part of me that is devoted to Baervan reels from it... even though I know that it has nothing to do with the person you are, that it's separate.~ */
  IF ~OR(2)
Alignment(Player1,MASK_EVIL)
ReputationLT(Player1,10)~ THEN GOTO 52
  IF ~!Alignment(Player1,MASK_EVIL)
ReputationGT(Player1,9)~ THEN GOTO 53
END

IF ~~ THEN BEGIN 52 // from: 51.0
  SAY #68369 /* ~But you aren't exactly the kindest of people, either.  Sometimes you do despicable things and I wonder how long you can be allowed to continue... how long before your taint makes you even worse?~ */
  IF ~~ THEN GOTO 54
END

IF ~~ THEN BEGIN 53 // from: 51.1
  SAY #68370 /* ~You're basically a good person.  Obviously you fight the urges that Bhaal's taint must put within you... but how long will that continue?  Won't the desires in your heart just get worse and worse?~ */
  IF ~~ THEN GOTO 54
END

IF ~~ THEN BEGIN 54 // from: 53.0 52.0
  SAY #68371 /* ~There's going to come a time, according to the prophecy, where the Sword Coast is going to run with blood... and I intend to do everything I can to prevent that.  And I hope you will, too.~ */
  IF ~~ THEN REPLY #68373 /* ~You don't know what you're talking about, Aerie.~ */ GOTO 55
  IF ~~ THEN REPLY #68374 /* ~Of course I don't want anyone to get hurt, either.~ */ GOTO 56
  IF ~~ THEN REPLY #68375 /* ~The prophecy is irrelevant.~ */ GOTO 57
  IF ~~ THEN REPLY #68376 /* ~I intend to claim my birthright... nothing else matters.~ */ GOTO 57
  IF ~~ THEN REPLY #68378 /* ~I intend to keep fighting this taint, Aerie... no matter what it takes.~ */ GOTO 56
  IF ~~ THEN REPLY #68379 /* ~If you don't like my methods, then leave.~ */ GOTO 58
END

IF ~~ THEN BEGIN 55 // from: 54.0
  SAY #68380 /* ~Maybe not.  But I intend to see this through, <CHARNAME>.  I will have an effect, if I can... and I pray that you will do the right thing in the end.  If Baervan wills it, perhaps it will be so.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 56 // from: 54.4 54.1
  SAY #68381 /* ~I'm glad to hear that, <CHARNAME>.  I'll pray for you and remain by your side... and hopefully we will see this through to the end, together.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 57 // from: 54.3 54.2
  SAY #68386 /* ~I disagree.  But I will remain with you, <CHARNAME>... for now, at least.  Maybe I will be able to have some small effect on how the prophecy turns out.  I hope, at least... and I will pray for you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 58 // from: 54.5
  SAY #68387 /* ~I won't.  Not yet, anyway.  You need me, and I still believe in you... and I hope that I can have some small effect on how the prophecy turns out.  I will pray for you, my friend... and fight by your side while I can.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 59 // from: BHAERD25:10.0
  SAY #68608 /* ~It's just that... for all the destruction and death we've seen as of late, you seem awfully... unperturbed.  I think all of this is horrifying and yet you just seem so unaffected.~ [AERI2523] */
  IF ~~ THEN EXTERN ~BHAERD25~ 11
END

IF ~~ THEN BEGIN 60 // from: BHAERD25:11.0
  SAY #68610 /* ~You...*like* all this destruction?~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 12
END

IF ~~ THEN BEGIN 61 // from: BHAERD25:12.0
  SAY #68612 /* ~Don't be absurd!  You have to fight against that kind of destruction!  Look at the grief it leaves in its wake!~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 13
END

IF ~~ THEN BEGIN 62 // from: BHAERD25:13.0
  SAY #68614 /* ~It's not *natural* to cheer it on, to hasten the process!  You have to fight against that kind of evil, Haer'Dalis!  To not do so would be... unthinkable!~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 14
END

IF ~~ THEN BEGIN 63 // from: BHAERD25:14.0
  SAY #68616 /* ~I... see.  I knew we were different, my bard... but not this different.~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 15
END

IF ~~ THEN BEGIN 64 // from: BHAERD25:16.0
  SAY #68620 /* ~Oh... I was just thinking about Saradush.  All those poor people!  Killed because of some power-hungry Bhaalspawn!  All that anguish, I just can't believe it!~ [AERI2524] */
  IF ~~ THEN EXTERN ~BHAERD25~ 18
END

IF ~~ THEN BEGIN 65 // from: BHAERD25:18.0
  SAY #68622 /* ~A wonder?  What... what do you mean by that?  What happened to Saradush is *terrible*!~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 19
END

IF ~~ THEN BEGIN 66 // from: BHAERD25:19.0
  SAY #68624 /* ~I *won't* accept that view, Haer'Dalis!  I think it's a disgusting way to look on it!~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 20
END

IF ~~ THEN BEGIN 67 // from: BHAERD25:20.0
  SAY #68627 /* ~Yes, it does!  You... you would not only advocate that Saradush's destruction was a good thing, you would say that we should *assist* in its destruction!  The more the better!~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 22
END

IF ~~ THEN BEGIN 68 // from: BHAERD25:22.0
  SAY #68631 /* ~Well, I won't stand for it.  And I won't be with any man who feels that way, Haer'Dalis.~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 23
END

IF ~~ THEN BEGIN 69 // from: BHAERD25:23.0
  SAY #68633 /* ~Don't call me that.  You may think me naive, but I know what evil is and I won't stand for it.  You and I are through, Haer'Dalis.~ */
  IF ~~ THEN EXTERN ~BHAERD25~ 25
END

IF ~~ THEN BEGIN 70 // from: BHAERD25:25.0
  SAY #68636 /* ~Just... just leave me alone.~ */
  IF ~~ THEN DO ~SetGlobal("HaerDalisRomanceActive","GLOBAL",3)~ EXIT
END

IF WEIGHT #20 /* Triggers after states #: 87 93 98 107 115 121 129 143 154 157 even though they appear after this state */
~InParty("Imoen2")
See("Imoen2")
!StateCheck("Imoen2",STATE_SLEEPING)
Global("AerieRomanceActive","GLOBAL",2)
Global("ExpBaerie11","LOCALS",0)~ THEN BEGIN 71 // from:
  SAY #68638 /* ~Imoen... you grew up in Candlekeep, too, did you not?  Since you were very young?~ [AERI2521] */
  IF ~~ THEN DO ~SetGlobal("ExpBaerie11","LOCALS",1)~ EXTERN ~BIMOEN25~ 42
END

IF ~~ THEN BEGIN 72 // from: BIMOEN25:42.0
  SAY #68640 /* ~Well... you grew up with <CHARNAME> then, didn't you?~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 43
END

IF ~~ THEN BEGIN 73 // from: BIMOEN25:43.0
  SAY #68644 /* ~I've a few questions about <CHARNAME>, then... if you wouldn't mind me asking.  They're a bit... personal.~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 44
END

IF ~~ THEN BEGIN 74 // from: BIMOEN25:44.0
  SAY #68648 /* ~Maybe.  Let's go talk about this somewhere more private, then.  I'm just dying of curiosity...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 75 // from: BKORGA25:31.0
  SAY #68783 /* ~Leave me alone, you brute.  I'm in no mood for this today.~ [AERI2525] */
  IF ~~ THEN EXTERN ~BKORGA25~ 32
END

IF ~~ THEN BEGIN 76 // from: BKORGA25:32.0
  SAY #68785 /* ~I can look after myself, you vile little man!  <CHARNAME> knows I can hold my own when the rough stuff starts!~ */
  IF ~~ THEN EXTERN ~BKORGA25~ 33
END

IF ~~ THEN BEGIN 77 // from: BKORGA25:33.0
  SAY #68787 /* ~I'm sick of your insults, you bastard!  You're worth less than the feces of an unwashed kobold!  You're stupid, bigoted, mean, small-minded and small-membered!  Now leave me alone or I'll cast a spell of withering on that pathetic excuse for a manhood you're always scratching at between your legs!~ */
  IF ~~ THEN EXTERN ~BKORGA25~ 34
END

IF ~~ THEN BEGIN 78 // from: BNALIA25:43.0
  SAY #69152 /* ~Faenya-Dale?  A... a little bit.  I remember my mother, mostly.  I remember missing it so much in the circus that my heart ached.~ [AERI2527] */
  IF ~~ THEN GOTO 79
END

IF ~~ THEN BEGIN 79 // from: 78.0
  SAY #69153 /* ~I remember that the avariel used to make these open-aired buildings with great columns of marble.  There were sculptures of glass that would burst with colors when the sun broke from the clouds.~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 44
END

IF ~~ THEN BEGIN 80 // from: BNALIA25:44.0
  SAY #69155 /* ~That... that's a cruel thing to ask.  How could I?~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 45
END

IF ~~ THEN BEGIN 81 // from: BNALIA25:45.0
  SAY #69157 /* ~It's not like that, Nalia.  The avariel... they would never accept me, like this.  I wouldn't be one of them.~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 46
END

IF ~~ THEN BEGIN 82 // from: BNALIA25:46.0
  SAY #69159 /* ~I... wouldn't want to make them do anything.  I don't belong there anymore.  I belong down here, as I am... accepting that was far harder.~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 47
END

IF ~~ THEN BEGIN 83 // from: BSAREV25:75.0
  SAY #69188 /* ~I've already proven my worth.  To everyone as well as myself.~ [AERI2528] */
  IF ~~ THEN EXTERN ~BSAREV25~ 76
END

IF ~~ THEN BEGIN 84 // from: BSAREV25:76.0
  SAY #69190 /* ~It... it doesn't matter what you think.  I am no frightened elf within the circus, anymore.  I've learned enough so that evil like yours makes me only feel pity.~ */
  IF ~~ THEN EXTERN ~BSAREV25~ 77
END

IF ~~ THEN BEGIN 85 // from: BSAREV25:77.0
  SAY #69192 /* ~Think what you like.  It is you who are nothing before my god and before my faith.  Baervan and Aerdrie Faenya would both sweep you as if you were dust before them.~ */
  IF ~~ THEN EXTERN ~BSAREV25~ 78
END

IF ~~ THEN BEGIN 86 // from: BSAREV25:78.0
  SAY #69193 /* ~They protect me.  But seeing as even <CHARNAME> was once enough to defeat you, and that was a long time ago, you shouldn't go asking for more than you can handle.~ */
  IF ~~ THEN EXTERN ~BSAREV25~ 79
END

IF WEIGHT #0 ~OR(2)
Global("SleptAerie","GLOBAL",1)
Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",2)~ THEN BEGIN 87 // from:
  SAY #69316 /* ~I... I know there's a lot on your mind right now.  But may I... may I talk to you?  About us?~ [AERI2501] */
  IF ~~ THEN REPLY #69317 /* ~Yes, Aerie, what is it?~ */ GOTO 88
  IF ~Global("SleptAerie","GLOBAL",0)~ THEN REPLY #69318 /* ~I'm surprised, Aerie.  I thought you wanted to put our relationship on hold until our adventures were over.~ */ GOTO 88
  IF ~Global("SleptAerie","GLOBAL",1)~ THEN REPLY #69491 /* ~Us?  I thought you needed to 'find yourself' before there could be any us.~ */ GOTO 88
END

IF ~~ THEN BEGIN 88 // from: 87.2 87.1 87.0
  SAY #69327 /* ~I... this has been a difficult time for me, <CHARNAME>.  My life has changed so much since I met you.  Since you rescued me from that circus.  Sometimes I don't even feel like I know myself anymore.~ */
  IF ~~ THEN DO ~

~ GOTO 89
END

IF ~~ THEN BEGIN 89 // from: 88.0
  SAY #69329 /* ~You've... you've been so patient this whole time.  So understanding.  And now, because of you and your love, I'm not that frightened little girl anymore.  But... but I'm still scared...~ */
  IF ~~ THEN REPLY #69333 /* ~You have nothing to be frightened of, Aerie.  I'll always be here to protect you.~ */ GOTO 90
  IF ~~ THEN REPLY #69335 /* ~Scared? Scared of what?~ */ GOTO 90
  IF ~~ THEN REPLY #69337 /* ~That's nothing new, Aerie.  You'd be afraid of your own shadow.~ */ GOTO 90
END

IF ~~ THEN BEGIN 90 // from: 89.2 89.1 89.0
  SAY #69340 /* ~I'm frightened of what's to come, <CHARNAME>.  So much has changed so fast.  I love you, but what if... what if I suddenly lose you?  What if some irresistible force tears us apart?  That's why I wanted to wait.  Until things were more... stable.~ */
  IF ~~ THEN REPLY #69368 /* ~I don't mind taking things slow, Aerie.  But this might be as stable as my life ever gets.~ */ GOTO 92
  IF ~~ THEN REPLY #69369 /* ~Sometimes you have to live for the moment, Aerie - before the moment is gone.~ */ GOTO 92
  IF ~~ THEN REPLY #69370 /* ~I can't wait around for you forever, Aerie.~ */ GOTO 91
END

IF ~~ THEN BEGIN 91 // from: 90.2
  SAY #69373 /* ~I... of course not, <CHARNAME>.  I... I don't expect you to.  I just... I need to think things over a little bit longer.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 92 // from: 90.1 90.0
  SAY #69379 /* ~I... I know you're right, <CHARNAME>.  I'm just so worried about losing you later on that I'm afraid to let myself love you now.  It's foolish, but I can't help it.  I want to let myself love you, <CHARNAME>.  Please, just be patient with me a while longer.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",4)~ THEN BEGIN 93 // from:
  SAY #69383 /* ~I've been thinking about what you said earlier.  About waiting... and how sometimes we can wait so long for something we want, we end up losing what we already have.~ [AERI2502] */
  IF ~~ THEN REPLY #69385 /* ~You sound like you've reached a decision.~ */ GOTO 95
  IF ~~ THEN REPLY #69386 /* ~Forget it, Aerie.  This weepy act has worn thin for me.~ */ DO ~

~ GOTO 94
END

IF ~~ THEN BEGIN 94 // from: 93.1
  SAY #69387 /* ~I... I see.   I thought you were someone worth giving my heart to, but I see I was wrong.  Don't worry, <CHARNAME> - I won't ever bother you with my "weepy" words again!~ */
  IF ~~ THEN DO ~SetGlobal("AerieRomanceActive","GLOBAL",3)
RestParty()
~ EXIT
END

IF ~~ THEN BEGIN 95 // from: 93.0
  SAY #69388 /* ~I have, <CHARNAME>.  I love you.  I want to be with you.  Now and forever... but I can't control the forever.  I can only control the now.  May I... may I sleep with you tonight?  If... if I haven't already waited too long...~ */
  IF ~~ THEN REPLY #69391 /* ~I love you, Aerie - with all my heart and soul.  I would have waited an eternity for you.~ */ GOTO 96
  IF ~~ THEN REPLY #69394 /* ~I think you made it in just under the wire, my love.  *grin*~ */ GOTO 96
  IF ~~ THEN REPLY #69396 /* ~Are you sure about this, Aerie?  I don't want to pressure you.~ */ GOTO 96
END

IF ~~ THEN BEGIN 96 // from: 95.2 95.1 95.0
  SAY #69397 /* ~I'm ready, <CHARNAME>.  Ready to commit to you in body, heart and soul.  Ready to give myself to you totally.  I was afraid before, but not anymore.  Whatever the future brings, I want us to make the most of the time we have together.  Starting right now.~ */
  IF ~~ THEN REPLY #69399 /* ~I couldn't have said it better myself, my love.~ */ GOTO 97
END

IF ~~ THEN BEGIN 97 // from: 96.0
  SAY #69400 /* ~Shhh... the fire is burning low, and the others are asleep.  Why don't I snuggle in with you, <CHARNAME>?  And when the morning comes, I promise I'll still be here.  I won't push you away anymore, my love.  And I swear I'll never let you go.~ */
  IF ~~ THEN DO ~RestParty()~ EXIT
END

IF WEIGHT #2 ~Global("LovedOne","GLOBAL",1)
Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",6)~ THEN BEGIN 98 // from:
  SAY #69407 /* ~I... I have to go!  I have to see if my mother...*sob* It can't be true, can it?  I have to... I have to return to Faenya-Dale!~ [AERI2503] */
  IF ~~ THEN REPLY #69408 /* ~Calm down, Aerie.  That wraith was lying.~ */ GOTO 99
END

IF ~~ THEN BEGIN 99 // from: 98.0
  SAY #69409 /* ~You can't be sure, <CHARNAME>!  How did it even know those things?  Oh mother!  What have I done to you?~ */
  IF ~~ THEN REPLY #69412 /* ~Aerie, that creature was pure evil.  It said those things to hurt you.  That's all.~ */ GOTO 100
  IF ~~ THEN REPLY #69414 /* ~You're right, Aerie.  I don't know if that thing was telling the truth.~ */ GOTO 100
END

IF ~~ THEN BEGIN 100 // from: 99.1 99.0
  SAY #69416 /* ~I... I have to go back home.  I have to find out if that spirit was telling the truth!~ */
  IF ~~ THEN REPLY #69417 /* ~And what about me?  You said we'd be together forever!~ */ GOTO 101
  IF ~~ THEN REPLY #69418 /* ~Don't go.  Whatever the past is, Aerie, it's in the past.~ */ GOTO 102
  IF ~~ THEN REPLY #69419 /* ~Stay with me, Aerie.  Whatever happened, you can't make any difference now.~ */ GOTO 102
END

IF ~~ THEN BEGIN 101 // from: 100.0
  SAY #69420 /* ~I'm... I'm sorry, <CHARNAME>.  This is exactly what I was afraid of - something tearing us apart.  But I have no choice.  I have to go back home.~ */
  IF ~~ THEN REPLY #69421 /* ~Go, then, Aerie.  I guess our love was never meant to be.~ */ GOTO 106
  IF ~~ THEN REPLY #69424 /* ~No, Aerie.  There is no reason for you to go back.~ */ GOTO 102
END

IF ~~ THEN BEGIN 102 // from: 101.1 100.2 100.1
  SAY #69423 /* ~What... what are you talking about, <CHARNAME>?~ */
  IF ~~ THEN REPLY #69425 /* ~That thing was lying, Aerie.  I know it.  I could *feel* it.~ */ GOTO 103
  IF ~~ THEN REPLY #69427 /* ~You weren't responsible for your mother's death, Aerie.  No matter what that thing said.~ */ GOTO 103
END

IF ~~ THEN BEGIN 103 // from: 102.1 102.0
  SAY #69426 /* ~But I...  I... *sigh*  I know you're right, <CHARNAME>.  Maybe my mother really is dead... but I didn't kill her.  And returning home won't bring her back.  Besides, I left that part of my life behind a long, long time ago.  My place is here now.. with you, my love.~ */
  IF ~~ THEN GOTO 104
END

IF ~~ THEN BEGIN 104 // from: 103.0
  SAY #69428 /* ~Someday I plan to go back to Faenya-Dale.  But not now.  Not if it means deserting you.  I swore to stay with you, <CHARNAME>, and I will.  I won't let a ghost from my past destroy everything we have built together.~ */
  IF ~~ THEN REPLY #69430 /* ~I'm glad, Aerie.  Are you okay?~ */ GOTO 105
END

IF ~~ THEN BEGIN 105 // from: 104.0
  SAY #69431 /* ~No... but I will be.  Thank you, <CHARNAME>.  Thank you for... well, everything.  I couldn't have done this without you by my side.  But I don't want the others to get impatient with 'poor little Aerie'. Don't worry about me - I'll be fine once we get moving.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 106 // from: 101.0
  SAY #69432 /* ~Perhaps we will meet again someday, <CHARNAME>.  I... this is too painful.  I have to go.~ */
  IF ~~ THEN DO ~SetGlobal("AerieRomanceActive","GLOBAL",3)
GivePartyAllEquipment()
LeaveParty()
EscapeArea()
~ EXIT
END

IF WEIGHT #3 ~Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",8)~ THEN BEGIN 107 // from:
  SAY #69434 /* ~I had a dream last night... a beautiful dream.  But I wasn't sure if I should tell you about it.~ [AERI2504] */
  IF ~~ THEN REPLY #69435 /* ~Wait, let me guess... a dream about flying.~ */ GOTO 108
  IF ~~ THEN REPLY #69436 /* ~Why not... was I in it?  Was I... naughty?~ */ GOTO 109
END

IF ~~ THEN BEGIN 108 // from: 107.0
  SAY #69437 /* ~No... I don't dream of that much anymore.  This was about us.~ */
  IF ~~ THEN GOTO 110
END

IF ~~ THEN BEGIN 109 // from: 107.1
  SAY #69438 /* ~<CHARNAME>!  You are so bad!  *giggle*.  No, this wasn't a 'naughty' dream.  This was about us.~ */
  IF ~~ THEN GOTO 110
END

IF ~~ THEN BEGIN 110 // from: 109.0 108.0
  SAY #69439 /* ~We were sitting together in our home.  Not speaking, just sitting and thinking.  And holding hands.  We were both old... very old.  Old, but happy.~ */
  IF ~~ THEN REPLY #69441 /* ~Sounds nice, my love.  Maybe it's a sign of things to come.~ */ GOTO 111
  IF ~~ THEN REPLY #69443 /* ~Just the two of us, Aerie?  Don't you see any children in our future?~ */ GOTO 111
  IF ~~ THEN REPLY #69445 /* ~That's a nice thought, Aerie.  But you know it probably won't ever happen.~ */ GOTO 111
END

IF ~~ THEN BEGIN 111 // from: 110.2 110.1 110.0
  SAY #69448 /* ~Maybe, maybe not.  Who can say what the future holds for us?  But it was a nice dream while it lasted.~ */
  IF ~~ THEN REPLY #69453 /* ~Ah, my love.  I always find your innocence so appealing.~ */ GOTO 112
END

IF ~~ THEN BEGIN 112 // from: 111.0
  SAY #69454 /* ~My 'innocence'?  I hardly think of myself as 'innocent' anymore, <CHARNAME>.  Not after everything we've been through.  Maybe once, a long time ago... but I've grown since then.  I'm not a wide-eyed little girl anymore.~ */
  IF ~~ THEN REPLY #69456 /* ~What was I thinking?  You are truly the epitome of mature and matronly womanhood, Aerie.~ */ GOTO 113
  IF ~~ THEN REPLY #69461 /* ~I'm sorry, Aerie.  I didn't mean to offend you with that compliment. *grin*~ */ GOTO 113
  IF ~~ THEN REPLY #69472 /* ~Oh, believe me Aerie... I know you're *all* woman!~ */ GOTO 113
END

IF ~~ THEN BEGIN 113 // from: 112.2 112.1 112.0
  SAY #69463 /* ~*giggle* Oh, <CHARNAME>, I didn't mean to snap at you like that.  It's just that everyone always still treats me as a little girl... and I'm one of the most powerful spellcasters in all of Faerun!~ */
  IF ~~ THEN GOTO 114
END

IF ~~ THEN BEGIN 114 // from: 113.0
  SAY #69468 /* ~Maybe the next time someone treats me like a child I'll turn them into a toad.  That should get my point across.  *grin*  And as for you, my love... wait until this evening and I promise you'll see that I'm anything but 'innocent'!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",10)~ THEN BEGIN 115 // from:
  SAY #69498 /* ~<CHARNAME>... I can't sleep.  Every time I close my eyes I see the burning buildings of Saradush and the smoking bodies of all those Bhaalspawn lying in the streets!  It's horrible!~ [AERI2505] */
  IF ~~ THEN REPLY #69499 /* ~Same old story... death and bloodshed still hound my every step.~ */ GOTO 117
  IF ~~ THEN REPLY #69500 /* ~It was horrible, Aerie.  An entire city ravaged because some of them shared my tainted blood.~ */ GOTO 116
  IF ~~ THEN REPLY #69501 /* ~Maybe if you didn't dwell on it you'd be able to put it behind you.~ */ GOTO 117
END

IF ~~ THEN BEGIN 116 // from: 115.1
  SAY #69502 /* ~I'm sorry, <CHARNAME>... I was so worried about my own reactions I forgot that it must have been even more upsetting to you.  All those who shared your destiny, butchered like that...~ */
  IF ~~ THEN REPLY #69503 /* ~There's nothing we can do for them now, Aerie.  Best to let the dead rest in peace.~ */ GOTO 117
  IF ~~ THEN REPLY #69504 /* ~I've seen so much death it hardly even bothers me anymore.~ */ GOTO 118
END

IF ~~ THEN BEGIN 117 // from: 116.0 115.2 115.0
  SAY #69505 /* ~You don't seem very upset about it, <CHARNAME>!  Just because we didn't know those people doesn't make their deaths any less meaningful!~ */
  IF ~~ THEN REPLY #69506 /* ~With as many deaths as I've seen in my life I guess I'm just numb to it now.  It's how I cope.~ */ GOTO 118
  IF ~~ THEN REPLY #69507 /* ~I didn't mean that, Aerie. But torturing ourselves over their fate only causes us more pain!~ */ GOTO 118
  IF ~~ THEN REPLY #69508 /* ~Look, it's late and I'm tired.  Can you whine about this in the morning?~ */ GOTO 119
END

IF ~~ THEN BEGIN 118 // from: 117.1 117.0 116.1
  SAY #69509 /* ~No, <CHARNAME>, don't be like that.  If you numb yourself to the pain and suffering, you'll numb yourself to everything!  Joy, happiness... even love.  We have to accept the good and the bad, my love... but it's better than feeling nothing at all.~ */
  IF ~~ THEN REPLY #69510 /* ~You're right, Aerie.  And as long as you're with me, I know the good will outweigh the bad.~ */ GOTO 120
  IF ~~ THEN REPLY #69511 /* ~So I should let myself become a weepy, sentimental mess?  Like you?~ */ GOTO 119
END

IF ~~ THEN BEGIN 119 // from: 118.1 117.2
  SAY #69512 /* ~I... I had no idea you were so callous!  So devoid of compassion and pity!  You are obviously not the person I thought you were.  Excuse me, <CHARNAME>... I think I'm going to sleep on the other side of the camp from now on.~ */
  IF ~~ THEN DO ~SetGlobal("AerieRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN 120 // from: 118.0
  SAY #69513 /* ~Yes, my love.  We must draw strength from each other.  Perhaps... perhaps if you wrap your arms around me I will be able to sleep tonight... Ah, the comfort of your touch keeps the dark visions at bay.  Sleep well, my love, until the morning.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",12)~ THEN BEGIN 121 // from:
  SAY #69520 /* ~Please, my love, hang back here with me a while.  Away from the others.  I must ask you something... privately.  What do you think of Quayle?~ [AERI2506] */
  IF ~~ THEN REPLY #69522 /* ~Your Uncle?  He seemed nice enough.~ */ GOTO 122
  IF ~~ THEN REPLY #69523 /* ~He's important to you Aerie... and that means he's important to me.~ */ GOTO 122
  IF ~~ THEN REPLY #69538 /* ~Why all the secrecy?  Is there something the matter with Quayle?~ */ GOTO 122
END

IF ~~ THEN BEGIN 122 // from: 121.2 121.1 121.0
  SAY #69521 /* ~No, I mean the name.  What do you think of Quayle as a name?  For a child.  A boy.~ */
  IF ~~ THEN REPLY #69524 /* ~Is there something you're trying to tell me, my love?~ */ GOTO 123
  IF ~~ THEN REPLY #69537 /* ~Please tell me you're asking only out of curiosity.~ */ GOTO 123
END

IF ~~ THEN BEGIN 123 // from: 122.1 122.0
  SAY #69539 /* ~I'm pregnant, <CHARNAME>!  Isn't it wonderful?~ */
  IF ~~ THEN REPLY #69540 /* ~Pregnant?  I... I... I'm not sure what to say.~ */ GOTO 127
  IF ~~ THEN REPLY #69541 /* ~Aerie, I'm so happy for you!  For us, I mean.~ */ GOTO 125
  IF ~~ THEN REPLY #69542 /* ~Are you sure you're pregnant?  I mean... how do you know?~ */ GOTO 124
  IF ~~ THEN REPLY #69543 /* ~This is horrible, Aerie!~ */ GOTO 126
END

IF ~~ THEN BEGIN 124 // from: 123.2
  SAY #69544 /* ~I know, <CHARNAME>.  We Avariel have a sixth sense about these type of things.  There is no mistake... I'm pregnant with your child, my love.~ */
  IF ~~ THEN GOTO 127
END

IF ~~ THEN BEGIN 125 // from: 123.1
  SAY #69545 /* ~I knew you'd be happy, <CHARNAME>!  I feel like... like I want to burst with joy!~ */
  IF ~~ THEN GOTO 127
END

IF ~~ THEN BEGIN 126 // from: 123.3
  SAY #69547 /* ~That was not the reaction I was hoping for, my love.  But I can understand your misgivings.~ */
  IF ~~ THEN GOTO 127
END

IF ~~ THEN BEGIN 127 // from: 126.0 125.0 124.0 123.0
  SAY #69548 /* ~I realize this is not the best timing, but there are still many months before our child will be born.  And I... oh, <CHARNAME> *grin*... I can see by your face that you're still a little overwhelmed by all this.~ */
  IF ~~ THEN GOTO 128
END

IF ~~ THEN BEGIN 128 // from: 127.0
  SAY #69549 /* ~Please... don't tell the others.  Not yet.  This joyous news is for you and me alone right now.  I'll... I'll give you some time to let this news settle in before we discuss our future plans.  Hurry... let's catch up with the others before they get suspicious.~ */
  IF ~~ THEN DO ~SetGlobalTimer("AeriePregnantTimer","GLOBAL",216000)~ EXIT
END

IF WEIGHT #6 ~Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",14)~ THEN BEGIN 129 // from:
  SAY #69558 /* ~My love, have you had a chance to think about our little secret?  My... condition?~ [AERI2507] */
  IF ~~ THEN REPLY #69560 /* ~I have Aerie.  There is much we need to discuss.~ */ GOTO 131
  IF ~~ THEN REPLY #69562 /* ~I still need some more time to wrap my head around this.~ */ GOTO 130
END

IF ~~ THEN BEGIN 130 // from: 129.1
  SAY #69565 /* ~You have always been patient with me, <CHARNAME>.  I wish I could do the same for you, my love.  But this is something we must discuss now.~ */
  IF ~~ THEN GOTO 131
END

IF ~~ THEN BEGIN 131 // from: 130.0 129.0
  SAY #69569 /* ~This child will change our lives completely, my love.  And the lives of those who would adventure with us on this quest you have undertaken.~ */
  IF ~~ THEN REPLY #69571 /* ~It won't change my life... I want nothing to do with this kid.~ */ GOTO 132
  IF ~~ THEN REPLY #69572 /* ~Aerie, how can we do this now?  You can't be pregnant while we battle such dangerous foes.~ */ GOTO 134
  IF ~~ THEN REPLY #69576 /* ~Aerie, I think we should find somewhere safe for you to stay until after the baby is born.~ */ GOTO 134
  IF ~~ THEN REPLY #69577 /* ~I want you by my side, Aerie... now more than ever.  We can work this out.~ */ GOTO 134
END

IF ~~ THEN BEGIN 132 // from: 138.2 131.0
  SAY #69578 /* ~<CHARNAME>!  You would turn your back on your own flesh and blood?  You would abandon me and our child?~ */
  IF ~Global("babytalk","GLOBAL",0)~ THEN REPLY #69580 /* ~Sorry, I was just making a joke.  Poor taste on my part.~ */ GOTO 134
  IF ~~ THEN REPLY #69581 /* ~This isn't my problem... I'm not the one who's pregnant.~ */ GOTO 133
  IF ~~ THEN REPLY #69582 /* ~My father abandoned me, and I got by just fine.~ */ GOTO 133
  IF ~GlobalGT("babytalk","GLOBAL",0)~ THEN REPLY #69849 /* ~Sorry, I was just making a joke.  Poor taste on my part.~ */ GOTO 139
END

IF ~~ THEN BEGIN 133 // from: 132.2 132.1
  SAY #69587 /* ~You... you are a monster!  A cruel, heartless monster!  I can't stay here... I won't let my child be poisoned by your evil!  I hope you burn in the Abyss, <CHARNAME>!~ */
  IF ~~ THEN DO ~SetGlobal("AerieRomanceActive","GLOBAL",3)
GivePartyAllEquipment()
LeaveParty()
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 134 // from: 132.0 131.3 131.2 131.1
  SAY #69588 /* ~This will not be so hard as you might imagine, <CHARNAME>.  We may very well conclude our adventures long before my condition even becomes noticeable.  And if not, I can still fight and cast spells while our child grows within me.~ */
  IF ~~ THEN REPLY #69590 /* ~No... it's too dangerous.~ */ DO ~SetGlobal("babytalk","GLOBAL",1)~ GOTO 162
  IF ~~ THEN REPLY #69591 /* ~What if you get injured?  What will happen to the baby?~ */ DO ~SetGlobal("babytalk","GLOBAL",2)~ GOTO 163
  IF ~~ THEN REPLY #69600 /* ~And if the baby is born before our adventures are done?  What then?~ */ DO ~SetGlobal("babytalk","GLOBAL",3)~ GOTO 164
END

IF ~~ THEN BEGIN 135 // from: 162.0
  SAY #69602 /* ~The safest place is here with us, where we can protect our child.~ */
  IF ~Global("babytalk","GLOBAL",1)~ THEN GOTO 163
  IF ~GlobalGT("babytalk","GLOBAL",1)~ THEN GOTO 138
END

IF ~~ THEN BEGIN 136 // from: 163.0
  SAY #69606 /* ~The healing magics that restore my health will restore the health of the unborn child in my womb, even resurrecting it to life, if that should be necessary.~ */
  IF ~Global("babytalk","GLOBAL",2)~ THEN GOTO 164
  IF ~Global("babytalk","GLOBAL",1)~ THEN GOTO 164
  IF ~Global("babytalk","GLOBAL",3)~ THEN GOTO 162
END

IF ~~ THEN BEGIN 137 // from: 164.0
  SAY #69607 /* ~The fate of the child is tied to yours, <CHARNAME>... it shares your destiny.  As long as you live, it too shall survive.~ */
  IF ~Global("babytalk","GLOBAL",1)~ THEN GOTO 138
  IF ~Global("babytalk","GLOBAL",2)~ THEN GOTO 162
  IF ~Global("babytalk","GLOBAL",3)~ THEN GOTO 163
END

IF ~~ THEN BEGIN 138 // from: 137.0 135.1
  SAY #69608 /* ~I know this will be difficult, my love.  But I have suffered through worse.  When I lost my wings I found the strength to go on.  Surely I have the strength for this.~ */
  IF ~~ THEN REPLY #69631 /* ~If you think you can do this, Aerie, I will support every step of the way.~ */ GOTO 139
  IF ~~ THEN REPLY #69634 /* ~I... I'm not sure about this, Aerie.  But I'm willing to try - for our sake and the sake of the child.~ */ GOTO 139
  IF ~~ THEN REPLY #69636 /* ~I'd rather just forget about you and the kid, Aerie.  Take a hike, 'mommy'.~ */ GOTO 132
END

IF ~~ THEN BEGIN 139 // from: 138.1 138.0 132.3
  SAY #69641 /* ~I... I know together we can do this, <CHARNAME>.  As long as I have you by my side, helping me and watching over me, I'll be okay.  And so will our baby.~ */
  IF ~~ THEN GOTO 140
END

IF ~~ THEN BEGIN 140 // from: 139.0
  SAY #69648 /* ~But... please don't mention this to the others.  They're finally starting to treat me with respect now.  I don't want everyone to suddenly start making a big fuss over 'poor pregnant Aerie'.~ */
  IF ~~ THEN REPLY #69654 /* ~Eventually they're going to figure it out.  You can't hide something like this.~ */ GOTO 141
END

IF ~~ THEN BEGIN 141 // from: 140.0
  SAY #69659 /* ~If I wear long, loose robes no one will notice until the last few weeks.  And if neither of us draws any attention to it while the others are around no one will suspect anything.  Please, <CHARNAME>... let's keep this our special little secret.~ */
  IF ~~ THEN REPLY #69662 /* ~As you wish my love.  Mum's the word.~ */ GOTO 142
END

IF ~~ THEN BEGIN 142 // from: 141.0
  SAY #69664 /* ~Oh, <CHARNAME>... you and your jokes!  I do love you so.  But come, the others will wonder what we are up to if we tarry any longer.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 ~!Global("babytalk","GLOBAL",0)
Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",16)
Global("ChallengesDone","GLOBAL",1)~ THEN BEGIN 143 // from:
  SAY #69674 /* ~My love... dawn is approaching soon.  May I ask you something?~ [AERI2508] */
  IF ~~ THEN REPLY #69677 /* ~Of course, my dearest Aerie.  You can ask me anything.~ */ GOTO 145
  IF ~~ THEN REPLY #69680 /* ~What... what is it?  Are you okay?  Is the baby okay?~ */ GOTO 144
END

IF ~~ THEN BEGIN 144 // from: 143.1
  SAY #69681 /* ~Relax <CHARNAME>... we are both fine.  You certainly are the stereotype of the worried father! *grin*  This is about something else.~ */
  IF ~~ THEN GOTO 145
END

IF ~~ THEN BEGIN 145 // from: 144.0 143.0
  SAY #69682 /* ~This is the happiest time of my life, <CHARNAME>.  We have shared trials and tribulations.  We share the deepest love.  And together we have created a new life.  But I know our greatest challenges are still ahead.~ */
  IF ~~ THEN GOTO 146
END

IF ~~ THEN BEGIN 146 // from: 145.0
  SAY #69687 /* ~Your ultimate destiny - and the destiny of our child - is yet to come.  I... I don't know what awaits us, <CHARNAME>.  But once again I fear I may lose you...~ */
  IF ~~ THEN REPLY #69689 /* ~Aerie... we will always be together.  We are united as one.~ */ GOTO 147
  IF ~~ THEN REPLY #69690 /* ~I do not want to lose you, Aerie.  But I cannot deny my destiny... whatever it may be.~ */ GOTO 147
END

IF ~~ THEN BEGIN 147 // from: 146.1 146.0
  SAY #69693 /* ~I know, my love.  But still... could you do one thing for me?  Could we celebrate our love in the traditions of my people?~ */
  IF ~~ THEN REPLY #69694 /* ~Of course... Aerie, will you give me your hand in marriage?~ */ GOTO 148
  IF ~~ THEN REPLY #69695 /* ~Are you saying we should have a wedding?~ */ GOTO 148
  IF ~~ THEN REPLY #69698 /* ~I have trouble picturing you in a bridal gown, Aerie.~ */ GOTO 148
END

IF ~~ THEN BEGIN 148 // from: 147.2 147.1 147.0
  SAY #69699 /* ~Oh, <CHARNAME>!  *giggle*  Such ceremonies are not the custom of my people!  True, we Avariel have weddings, but they are usually grand and formal events reserved for nobility and political alliances cemented through marriage.~ */
  IF ~~ THEN GOTO 149
END

IF ~~ THEN BEGIN 149 // from: 148.0
  SAY #69701 /* ~Most of my kind prefer a simpler marriage ceremony... the uniting of two hearts with a simple vow as the sun appears on the horizon, for example.~ */
  IF ~~ THEN REPLY #69702 /* ~Dawn is approaching, my love... shall we swear our love to each other now?~ */ GOTO 151
  IF ~~ THEN REPLY #69703 /* ~If that is your wish, Aerie my love, that is what we shall do.~ */ GOTO 151
  IF ~~ THEN REPLY #69704 /* ~Aerie, I would rather wait until this is all decided.  If I am unable to remain with you, for any reason...~ */ GOTO 150
END

IF ~~ THEN BEGIN 150 // from: 149.2
  SAY #69705 /* ~I... I understand, my love.  Your destiny is still undecided.  Very well... we can wait to perform this simple ceremony.  The important thing is that we remain together.  The others are stirring, let us leave this until later.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 151 // from: 149.1 149.0
  SAY #69706 /* ~Thank you, <CHARNAME>!  I, Aerie, shall stand by your side in both peace and battle.  I shall shoulder your burdens as you shoulder mine.  I shall unite myself with you in body, mind and spirit.  And I shall remain with you always, as your wife.  This I swear by the light of the rising sun.~ */
  IF ~~ THEN REPLY #69710 /* ~And I, <CHARNAME>, shall stand by your side in both peace and battle.  I shall shoulder your burdens as you shoulder mine.  I shall unite myself with you in body, mind and spirit.  And I shall remain with you always, as your husband.  This I too swear by the light of the rising sun.~ */ GOTO 152
END

IF ~~ THEN BEGIN 152 // from: 151.0
  SAY #69711 /* ~You cannot imagine how happy this simple ceremony has made me, <CHARNAME>!  I wish... I wish we could just lie here and savor this moment forever.~ */
  IF ~~ THEN GOTO 153
END

IF ~~ THEN BEGIN 153 // from: 152.0
  SAY #69712 /* ~But of course, I know we cannot.  Even now the others are stirring, and we must rise and continue our quest - for your own sake, as well as that of our child.   Come, my love... let us face the world as husband and wife.~ */
  IF ~~ THEN DO ~SetGlobal("marriage","GLOBAL",1)~ EXIT
END

IF WEIGHT #8 ~Global("AerieRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",18)
Global("AerieHadBaby","GLOBAL",0)~ THEN BEGIN 154 // from:
  SAY #69754 /* ~Please... my love.  *groan*  I must... I must stop for the night.  I... I think it's time!  The baby is coming!~ [AERI2509] */
  IF ~~ THEN REPLY #69759 /* ~Now?  You're going to have your baby now?~ */ GOTO 155
  IF ~InParty("Jan")
See("Jan")
!StateCheck("Jan",STATE_SLEEPING)~ THEN EXTERN ~BJAN25~ 95
  IF ~InParty("Keldorn")
See("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)~ THEN EXTERN ~BKELDO25~ 55
  IF ~InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)~ THEN EXTERN ~BANOME25~ 62
  IF ~InParty("Edwin")
See("Edwin")
!StateCheck("Edwin",STATE_SLEEPING)~ THEN EXTERN ~BEDWIN25~ 35
  IF ~InParty("Viconia")
See("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)~ THEN EXTERN ~BVICON25~ 71
  IF ~InParty("Mazzy")
See("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)~ THEN EXTERN ~BMAZZY25~ 67
  IF ~InParty("Nalia")
See("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)~ THEN EXTERN ~BNALIA25~ 58
  IF ~InParty("Cernd")
See("Cernd")
!StateCheck("Cernd",STATE_SLEEPING)~ THEN EXTERN ~BCERND25~ 54
  IF ~InParty("Jaheira")
See("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)~ THEN EXTERN ~BJAHEI25~ 100
END

IF ~~ THEN BEGIN 155 // from: BVICON25:71.0 BNALIA25:58.0 BMAZZY25:67.0 BKELDO25:55.0 BJAN25:95.0 BJAHEI25:100.0 BEDWIN25:35.0 BCERND25:54.0 BANOME25:62.0 154.0
  SAY #69755 /* ~Augh... it hurts!  Oh, my love... come quickly.  Take my hand, please!~ */
  IF ~~ THEN REPLY #69756 /* ~Don't worry, Aerie.  I'm right here.  Just... uh... just breathe!~ */ GOTO 156
END

IF ~~ THEN BEGIN 156 // from: 155.0
  SAY #69757 /* ~I... oh! the pain!  *gasp* *pant* I... I can do this, <CHARNAME>... as long as you're with me.~ */
  IF ~~ THEN DO ~SetGlobal("AerieHadBaby","GLOBAL",1)
StartCutSceneMode()
StartCutScene("cut245a")~ EXIT
END

IF WEIGHT #9 ~Global("AerieHadBaby","GLOBAL",1)~ THEN BEGIN 157 // from:
  SAY #69773 /* ~It's a boy!  Oh, what a beautiful son we have - look at him wiggle his toes!~ */
  IF ~~ THEN DO ~SetGlobal("AerieHadBaby","GLOBAL",2)~ GOTO 158
  IF ~InParty("Jan")
See("Jan")
!StateCheck("Jan",STATE_SLEEPING)~ THEN DO ~SetGlobal("AerieHadBaby","GLOBAL",2)~ EXTERN ~BJAN25~ 96
  IF ~InParty("Korgan")
See("Korgan")
!StateCheck("Korgan",STATE_SLEEPING)~ THEN DO ~SetGlobal("AerieHadBaby","GLOBAL",2)~ EXTERN ~BKORGA25~ 73
  IF ~InParty("Imoen")
See("Imoen")
!StateCheck("Imoen",STATE_SLEEPING)~ THEN DO ~SetGlobal("AerieHadBaby","GLOBAL",2)~ EXTERN ~BIMOEN25~ 110
END

IF ~~ THEN BEGIN 158 // from: BKORGA25:73.0 BJAN25:96.0 BIMOEN25:110.0 157.0
  SAY #69775 /* ~I... I have a name chosen already, <CHARNAME>.  If you don't mind.  I want to call him Quayle.~ */
  IF ~~ THEN REPLY #69778 /* ~I would be proud to have my son named after your Uncle, Aerie.~ */ GOTO 159
  IF ~~ THEN REPLY #72581 /* ~I don't know if I want him named that...~ */ GOTO 165
  IF ~~ THEN REPLY #72582 /* ~Definitely not.~ */ GOTO 165
END

IF ~~ THEN BEGIN 159 // from: 165.0 158.0
  SAY #69780 /* ~Hello, Quayle... can you say 'mommy'?  Oh, he is so cute.  He looks just like you, <CHARNAME>.  He looks just like a little <PRO_RACE>.  Why don't you hold him for a bit?  You won't break him.~ */
  IF ~~ THEN GOTO 161
  IF ~InParty("Valygar")
See("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)~ THEN EXTERN ~BVALYG25~ 65
  IF ~InParty("HaerDalis")
See("HaerDalis")
!StateCheck("HaerDalis",STATE_SLEEPING)~ THEN EXTERN ~BHAERD25~ 60
  IF ~InParty("Minsc")
See("Minsc")
!StateCheck("Minsc",STATE_SLEEPING)~ THEN EXTERN ~BMINSC25~ 57
END

IF ~~ THEN BEGIN 160 // from: 161.0
  SAY #69783 /* ~I'll be fine, <CHARNAME>.  I'll just patch myself up with a few healing spells and I'll be ready to go.  Help strap little Quayle onto my back, and we can set off again and make the world a better place for our son.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 161 // from: BVALYG25:65.0 BMINSC25:57.0 BHAERD25:60.0 159.0
  SAY #69790 /* ~He's certainly a handsome lad, isn't he?  Just like his daddy.  Can you say 'daddy' little Quayle?  Can you say 'mommy'?  Oh, he looks hungry.  You better give him back to me for a bit.~ */
  IF ~~ THEN REPLY #69792 /* ~Here he is... mommy.  How are you feeling after all this?~ */ GOTO 160
END

IF ~~ THEN BEGIN 162 // from: 137.1 136.2 134.0
  SAY #72578 /* ~This child is your offspring, <CHARNAME>... it shares the blood of Bhaal.  At Saradush you saw what happened to your kin.  There is nowhere I can go, no place I can hide that will keep our baby from being hunted and slaughtered.~ */
  IF ~~ THEN GOTO 135
END

IF ~~ THEN BEGIN 163 // from: 137.2 135.0 134.1
  SAY #72579 /* ~While the babe still dwells within me, it will draw its strength from me.~ */
  IF ~~ THEN GOTO 136
END

IF ~~ THEN BEGIN 164 // from: 136.1 136.0 134.2
  SAY #72580 /* ~If the child is born before we finish our adventures, I shall bundle it on my back, as is the custom of my people, the Avariel.~ */
  IF ~~ THEN GOTO 137
END

IF ~~ THEN BEGIN 165 // from: 158.2 158.1
  SAY #72583 /* ~(sigh)  Alright, my love.  We'll think of a name for him later, if you like.  Just allow me to call him Quayle until we do is all I ask.  Just... a little while.~ */
  IF ~~ THEN REPLY #72584 /* ~That's fine.  We can think of something else later.~ */ GOTO 159
END
